/* Josh Pieper, (c) 2000 */

/* This file is distributed under the GPL, see file COPYING for details. */

#ifndef GNUT_QUEUE_H
#define GNUT_QUEUE_H

#include "gnut_lib.h"
#include "Gnut_List.h"

typedef struct _Gnut_Queue Gnut_Queue;

struct _Gnut_Queue {
	Gnut_List *head;
	Gnut_List *tail;
	uint32 size;
};

Gnut_Queue * gnut_queue_new();
void gnut_queue_free(Gnut_Queue *);
void gnut_queue_insert(Gnut_Queue *, void *);
void * gnut_queue_remove(Gnut_Queue *);
void gnut_queue_delete(Gnut_Queue *, void *);

Gnut_List * gnut_queue_list(Gnut_Queue *);

#endif