/* Josh Pieper, (c) 2000 */

/* This file is distributed under the GPL, see file COPYING for details */

#ifndef GNUT_NET_H
#define GNUT_NET_H

#include "protocol.h"

int create_listen_socket(int * port);
int read_line(int sock, char *buf, int len);
int make_connection(char *host, uint port, uchar ip[4]);
int send_packet(int sock, gnutella_packet * gpa);
int read_packet(int sock, gnutella_packet * gpa);
int net_init(char *iface);
char *net_local_ip();
int timed_recv(int sock, char *buf, int len, int flags, int secs);

#endif