/* Josh Pieper, (c) 2000 */

/* This file is distributed under the GPL, see file COPYING for details */

#ifndef ROUTE_H
#define ROUTE_H

#include "gnut_lib.h"
#include "gnut_connection.h"

typedef struct _route_entry route_entry;

struct _route_entry {
	uchar guid[16];
	gnut_connection *p;
};

int route_guid_add(uchar guid[16], gnut_connection *gc);
gnut_connection * route_guid_find(uchar guid[16]);
int route_guid_clear(gnut_connection *gc);
int route_init();

#define ROUTE_MAX 10000

#endif