/* Josh Pieper, (c) 2000 */

/* This file is distributed under the GPL, see file COPYING for details */

#ifndef GNUT_CONF2_H
#define GNUT_CONF2_H

#include "Gnut_Hash.h"

typedef struct _conf_key_pair conf_key_pair;

struct _conf_key_pair {
	char *key;
	char *val;
};

extern conf_key_pair configuration_pairs[];

int conf_init();
int conf_get_int(char *);
char * conf_get_str(char *);
int conf_set_int(char *, int);
int conf_set_str(char *, char *);
int conf_set_str_len(char *, char *, int len);

extern Gnut_Hash *conf_hash;

/*
 * Allow this client to search
 * on the behalf of someone who has
 * the misfortune of not having their
 * own gnut client.
 */
#define GNUT_HTTP_SEARCH 1
#define GNUT_HTTP_FILE_LIST 1
#define GNUT_HTTP_WAIT_FOR_RESULTS 1
#endif
