/* Josh Pieper, (c) 2000 */

/* This file is distributed under the GPL, see file COPYING for details */

#ifndef SHARE_CACHE_H
#define SHARE_CACHE_H

typedef struct _share_query_results share_query_results;

struct _share_query_results {
	char *query;
	Gnut_List *results;
};


int share_cache_init();
Gnut_List *share_cache_run_search(char *token, int max);
Gnut_List *share_results_combine(Gnut_List *l1, Gnut_List *l2, int max);

#define SHARE_CACHE_MAX 3000

#endif
